
{ config, lib, pkgs, ... }:

{
  nix = {
    distributedBuilds = false;
    buildMachines = [ {
      hostName = "hades";
      system = "x86_64-linux";
      supportedFeatures = [ "kvm" "big-parallel" ];
      sshUser = "nixremote";
      sshKey = config.age.secrets."keys/nixremote".path;
      maxJobs = 1;
      speedFactor = 4;
      publicHostKey = "c3NoLWVkMjU1MTkgQUFBQUMzTnphQzFsWkRJMU5URTVBQUFBSUVnbld5UVVVYSt2Y0hBS3g2ZWRiVGdxVzhwaCtNQ2lTNmZVd1lqWWNTK28gcm9vdEBoYWRlcwo=%";
      protocol = "ssh-ng";
    } ];
    settings = {
      extra-trusted-public-keys = [
        "hades-builder:AFdPgi6Qq/yKqc2V2imgzMikEkVEFCrDaHyAmOJ3MII="
      ];
      trusted-users = [
        "kabbone"
      ];
    };
  };
  
  age.secrets."keys/nixremote" = {
    file = ../../secrets/keys/nixremote.age;
    owner = "root";
  };
}
